clang 10.0.0git

Public Member Functions | List of all members
clang::ento::BlockCounter::Factory Class Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/BlockCounter.h"`

## Public Member Functions
| Factory (llvm::BumpPtrAllocator &Alloc)
| ~Factory ()
BlockCounter | GetEmptyCounter ()
BlockCounter | IncrementCount (BlockCounter BC, const StackFrameContext *CallSite, unsigned BlockID)

## Detailed Description

Definition at line 40 of file BlockCounter.h.

## Constructor & Destructor Documentation

## ◆ Factory()

BlockCounter::Factory::Factory | ( | llvm::BumpPtrAllocator & | Alloc | ) |

Definition at line 64 of file BlockCounter.cpp.

## ◆ ~Factory()

BlockCounter::Factory::~Factory | ( |  | ) |

Definition at line 68 of file BlockCounter.cpp.

## Member Function Documentation

## ◆ GetEmptyCounter()

BlockCounter BlockCounter::Factory::GetEmptyCounter | ( |  | ) |

Definition at line 82 of file BlockCounter.cpp.

References GetFactory(), and getRoot().

Referenced by clang::ento::CoreEngine::ExecuteWorkList().

## ◆ IncrementCount()

BlockCounter BlockCounter::Factory::IncrementCount | ( | BlockCounter | BC,
|  | const StackFrameContext * | CallSite,
|  | unsigned | BlockID
| ) |  |

Definition at line 73 of file BlockCounter.cpp.

References GetFactory(), GetMap(), clang::ento::BlockCounter::getNumVisited(), and getRoot().

Referenced by clang::ento::CoreEngine::ExecuteWorkListWithInitialState().

The documentation for this class was generated from the following files:

- include/clang/StaticAnalyzer/Core/PathSensitive/BlockCounter.h
- lib/StaticAnalyzer/Core/BlockCounter.cpp